// Checkbox
.form-check-input:checked {
  background-color: $fr-primary-200;
  border-color: $fr-primary-300;
}
input:not([type="checkbox"]) {
  height: 40px;
}
// Input de type mixing afin de l'injecter au page dedié
@mixin useForm() {
  // Changing glow focus
  textarea:focus,
  input[type="text"]:focus,
  input[type="password"]:focus,
  input[type="datetime"]:focus,
  input[type="datetime-local"]:focus,
  input[type="date"]:focus,
  input[type="month"]:focus,
  input[type="time"]:focus,
  input[type="week"]:focus,
  input[type="number"]:focus,
  input[type="email"]:focus,
  input[type="url"]:focus,
  input[type="search"]:focus,
  input[type="tel"]:focus,
  input[type="color"]:focus,
  input[type="checkbox"]:focus,
  .uneditable-input:focus {
    border-color: $fr-primary-300;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 4px $fr-primary-300;
    outline: 0 none;
  }
  // form-control
  .form-control{
    border-color: $fr-primary-100;
  }
  // invalid feedback Position
  .invalid-feedback {
    display: none;
    width: 100%;
    margin-top: 0;
    @include pxToRem(12);
    padding-inline-start: 12px;
    color: $fr-error-200;
  }
  // changer Validation bootstrap 5
  // -- Valid
  .form-control.is-valid,
  .was-validated .form-control:valid {
     
    border: 2px solid $fr-succes-300;
    background-image: url(../img/Icons/semantic/valid.svg) 10px;
  }
  // -- inValid
  .form-control.is-invalid,
  .was-validated .form-control:invalid {
    border: 2px solid $fr-error-200;
    background-image: url(../img/Icons/semantic/error.svg);
    background-size: 13px 13px;
  }
}
// Custom radio
@mixin RadioCustomSimple() {
  input[type="radio"] + label {
    display: inline-block;
    cursor: pointer;
    height: 35px;
    position: relative;
    padding: 8px 50px 8px 12px;
    border-radius: 8px;
    background-color: $fr-primary-50;
    &:before {
      content: "";
      display: block;
      width: 18px;
      height: 18px;
      position: absolute;
      right: 12px;
      border: 2px solid $fr-primary-300;
      border-radius: 50%;
    }
  }
  input[type="radio"] {
    display: none !important;
    &:checked + label {
      background-color: $fr-primary-300;
      color: $fr-white;
      &:before {
        border: 2px solid $fr-white;
      }
      &:after {
        content: "";
        display: block;
        position: absolute;
        top: 12px;
        right: 16px;
        width: 10px;
        height: 10px;
        border-radius: 50%;
        background: $fr-secondary-b-300;
        box-shadow: 0px 0px 0px 2px $fr-secondary-b-300 inset;
      }
    }
  }
}